<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.DressingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ai.da.mapper.primary.entity.Dressing">
        <id column="id" property="id" />
        <result column="apparel" property="apparel" />
        <result column="style_category" property="styleCategory" />
        <result column="age_group" property="ageGroup" />
        <result column="position" property="position" />
        <result column="priority" property="priority" />
    </resultMap>

    <select id="getOtherSketchCategoryNameList" resultType="java.lang.String">
        SELECT
            style_category
        FROM
            dressing
        WHERE
                id IN ( SELECT dressing_id FROM collocation_rel_dressing WHERE collocation_id = #{id} )
          AND style_category != #{styleCategory}
    </select>


</mapper>
